Lavalite package that provides user_setting management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/user_setting`.

    "litecms/user_setting": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\UserSetting\Providers\UserSettingServiceProvider::class,

And also add it to alias

    'UserSetting'  => Litecms\UserSetting\Facades\UserSetting::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\UserSettingTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\UserSetting\Providers\UserSettingServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\UserSetting\Providers\UserSettingServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\UserSetting\Providers\UserSettingServiceProvider" --tag="view"


## Usage


