<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for user_setting in user_setting package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  user_setting module in user_setting package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'UserSetting',
    'names'         => 'UserSettings',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'UserSettings',
        'sub'   => 'UserSettings',
        'list'  => 'List of user_settings',
        'edit'  => 'Edit user_setting',
        'create'    => 'Create new user_setting'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'min_pwd_len'                => 'Minimum User Password Length',
        'max_pwd_length'             => 'Maximum user Password Length',
        'withdraw_pwd'               => '',
        'edit_profile_pwd'           => 'Transaction password for edit profile',
        'update_code'                => '',
        'change_sts'                 => '',
        'notify_status'              => 'User Profile Notify Status',
        'subscription_status'        => 'Subscription Status',
        'subscription_type'          => 'Subscription Type',
        'grace_period'               => '',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'min_pwd_len'                => 'Minimum User Password Length',
        'max_pwd_length'             => 'Maximum user Password Length',
        'withdraw_pwd'               => 'Transaction password for withdraw',
        'edit_profile_pwd'           => 'Transaction password for edit profile',
        'update_code'                => 'Use Conformation Code when account updated',
        'change_sts'                 => 'User E-mail Change Status',
        'notify_status'              => 'User Profile Notify Status',
        'subscription_status'        => 'Subscription Status',
        'subscription_type'          => 'Subscription Type',
        'grace_period'               => 'Subscription Grace Period ( In Days )',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'min_pwd_len'                => ['name' => 'Minimum User Password Length', 'data-column' => 1, 'checked'],
        'change_sts'                 => ['name' => 'User E-mail Change Status', 'data-column' => 2, 'checked'],
        'subscription_type'          => ['name' => 'Subscription Type', 'data-column' => 3, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'UserSettings',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
