<?php

namespace Litecms\UserSetting\Repositories\Eloquent;

use Litecms\UserSetting\Interfaces\UserSettingRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class UserSettingRepository extends BaseRepository implements UserSettingRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litecms.user_setting.user_setting.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.user_setting.user_setting.model.model');
    }
}
